Wireshark-dev: [Wireshark-dev] ___asan_version_mismatch_check_apple_902
From: Joerg Mayer <[email protected]>
Date: Thu, 15 Nov 2018 12:07:01 +0100
Hello,

after updating to XCode 10.1 (but not Mojave) I'm getting the following on
program start:

+ export G_MESSAGES_DEBUG=all
+ G_MESSAGES_DEBUG=all
+ export G_DEBUG=fatal-criticals
+ G_DEBUG=fatal-criticals
+ ./run/Wireshark.app/Contents/MacOS/Wireshark -v
+ tee logs/run.log
dyld: lazy symbol binding failed: Symbol not found: ___asan_version_mismatch_check_apple_902
  Referenced from: /usr/local/lib/libpcap.A.dylib
  Expected in: /Applications/Xcode.app/Contents/Developer/Toolchains/XcodeDefault.xctoolchain/usr/lib/clang/10.0.0/lib/darwin/libclang_rt.asan_osx_dynamic.dylib

dyld: Symbol not found: ___asan_version_mismatch_check_apple_902
  Referenced from: /usr/local/lib/libpcap.A.dylib
  Expected in: /Applications/Xcode.app/Contents/Developer/Toolchains/XcodeDefault.xctoolchain/usr/lib/clang/10.0.0/lib/darwin/libclang_rt.asan_osx_dynamic.dylib

Any idea how to fix that?

I reran macos-setup.sh and completely cleaned the build directory.

Thanks
   Jörg
-- 
Joerg Mayer                                           <[email protected]>
We are stuck with technology when what we really want is just stuff that
works. Some say that should read Microsoft instead of technology.